Package com.sun.mail.dsn

## Class text_rfc822headers

- java.lang.Object
- - com.sun.mail.dsn.text_rfc822headers

All Implemented Interfaces:
  `DataContentHandler`

    public class text_rfc822headers
    extends Object
    implements DataContentHandler

DataContentHandler for text/rfc822-headers MIME type. Applications should not use this class directly, it's used indirectly through the JavaBeans Activation Framework.

Since:
  JavaMail 1.4

### Constructor Summary

Constructors
`text_rfc822headers​()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Object` `getContent​(DataSource ds)`
`Object` `getTransferData​(DataFlavor df, DataSource ds)` Return the Transfer Data of type DataFlavor from InputStream.
`DataFlavor[]` `getTransferDataFlavors​()` Return the DataFlavors for this `DataContentHandler`.
`void` `writeTo​(Object obj, String type, OutputStream os)` Write the object to the output stream, using the specified MIME type.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### text_rfc822headers

    public text_rfc822headers​()

### Method Detail

#### getTransferDataFlavors

    public DataFlavor[] getTransferDataFlavors​()

Return the DataFlavors for this `DataContentHandler`.

Specified by:
  `getTransferDataFlavors` in interface `DataContentHandler`
Returns:
  The DataFlavors

#### getTransferData

    public Object getTransferData​(DataFlavor df,
                                  DataSource ds)
                           throws IOException

Return the Transfer Data of type DataFlavor from InputStream.

Specified by:
  `getTransferData` in interface `DataContentHandler`
Parameters:
  `df` - The DataFlavor
  `ds` - The DataSource corresponding to the data
Returns:
  String object
Throws:
  `IOException`

#### getContent

    public Object getContent​(DataSource ds)
                      throws IOException

Specified by:
  `getContent` in interface `DataContentHandler`
Throws:
  `IOException`

#### writeTo

    public void writeTo​(Object obj,
                        String type,
                        OutputStream os)
                 throws IOException

Write the object to the output stream, using the specified MIME type.

Specified by:
  `writeTo` in interface `DataContentHandler`
Throws:
  `IOException`